<% 
    '1.1 Supported option definitions.
    '=========================================================================================================================================================
    Const OAK_Set_Input = 5301
    Const OAK_Set_Output = 5302
    Const OAK_Set_PDFInfo = 5307
    Const OAK_Set_PDFEncrypt = 5308
    
    '1.2 Supported pdf information
    '=========================================================================================================================================================
    Const OAK_PDF_TITLE = "title"
    Const OAK_PDF_SUBJECT = "subject"
    Const OAK_PDF_AUTHOR = "author"
    Const OAK_PDF_KEYWORDS = "keywords"
    Const OAK_PDF_APPLICATION = "creator"
    
    '1.3 Supported the length of pdf encrypt
    '=========================================================================================================================================================
    Const OAK_PDF_ENCRYPT_LEVEL_40 = 40
    Const OAK_PDF_ENCRYPT_LEVEL_128 = 128


    '1.4 Supported operation limited
    '=========================================================================================================================================================
    Const OAK_PDF_PERMISSION_NONE = 0
    Const OAK_PDF_PERMISSION_PRINT = 1
    Const OAK_PDF_PERMISSION_COPYING = 2
    Const OAK_PDF_PERMISSION_MODIFY = 4
    Const OAK_PDF_PERMISSION_ALL = 7
%>

<html>
<head><title>OakDoc - PS to PDF SDK/COM ASP Demo!</title></head>
<body>
<%
  'PS to PDF SDK/COM ASP Demo
  doMain()

  '------------------------------------------------------------------------------------------------
  sub doMain()
      sOwnerPw = "1111"
      sUserPw = "2222"
      
      'Create com object.
      Set AxPStoPDF = Server.CreateObject("oakdoc.pstopdf")
      Response.write "Create COM object successful...<br>"
      
      '------------------------------------------------------------------------------------------------
      ' Convert one ps/eps file to a general pdf file.
      '------------------------------------------------------------------------------------------------
      id = AxPStoPDF.oakBegin()
      AxPStoPDF.oakSetOption id, OAK_Set_Input, 0, 0, "d:\\_test_01.ps", ""
      AxPStoPDF.oakSetOption id, OAK_Set_Input, 0, 0, "d:\\_test_02.eps", ""
      AxPStoPDF.oakSetOption id, OAK_Set_Output, 0, 0, "d:\\mytest_general.pdf", ""
      
      AxPStoPDF.oakSetOption id, OAK_Set_PDFInfo, 0, 0, OAK_PDF_TITLE, "untitled document"
      AxPStoPDF.oakSetOption id, OAK_Set_PDFInfo, 0, 0, OAK_PDF_AUTHOR, "bobol"
      AxPStoPDF.oakSetOption id, OAK_Set_PDFInfo, 0, 0, OAK_PDF_APPLICATION, "OakDoc PS to PDF sdk demo"
      
      iRet = AxPStoPDF.oakExport(id)
      AxPStoPDF.oakEnd id
      
      '------------------------------------------------------------------------------------------------
      ' Convert one ps/eps file to an restricted pdf file.
      '------------------------------------------------------------------------------------------------
      id = AxPStoPDF.oakBegin()
      AxPStoPDF.oakSetOption id, OAK_Set_Input, 0, 0, "d:\\_test_01.ps", ""
      AxPStoPDF.oakSetOption id, OAK_Set_Input, 0, 0, "d:\\_test_02.eps", ""
      AxPStoPDF.oakSetOption id, OAK_Set_Output, 0, 0, "d:\\mytest_restricted.pdf", ""
      
      AxPStoPDF.oakSetOption id, OAK_Set_PDFInfo, 0, 0, OAK_PDF_TITLE, "untitled document"
      AxPStoPDF.oakSetOption id, OAK_Set_PDFInfo, 0, 0, OAK_PDF_AUTHOR, "bobol"
      AxPStoPDF.oakSetOption id, OAK_Set_PDFInfo, 0, 0, OAK_PDF_APPLICATION, "OakDoc PS to PDF sdk demo"
      
      AxPStoPDF.oakSetOption id, OAK_Set_PDFEncrypt, OAK_PDF_ENCRYPT_LEVEL_128, OAK_PDF_PERMISSION_PRINT + OAK_PDF_PERMISSION_COPYING, sUserPw, sOwnerPw
      
      iRet = AxPStoPDF.oakExport(id)
      AxPStoPDF.oakEnd id
      
      Response.write "Conversion successful...<br>"
  end sub
  '------------------------------------------------------------------------------------------------
%>
</body>
</html>