//Supported option definitions
#define OAK_Set_Input		5301
#define OAK_Set_Output		5302
#define OAK_Set_PDFInfo     5307
#define OAK_Set_PDFEncrypt  5308

//Supported pdf information
#define OAK_PDF_TITLE          "title"
#define OAK_PDF_SUBJECT        "subject"
#define OAK_PDF_AUTHOR         "author"
#define OAK_PDF_KEYWORDS       "keywords"
#define OAK_PDF_APPLICATION    "creator"

//Supported the length of pdf encrypt
#define OAK_PDF_ENCRYPT_LEVEL_40   40
#define OAK_PDF_ENCRYPT_LEVEL_128  128

//Supported operation limited
#define OAK_PDF_PERMISSION_NONE     0
#define OAK_PDF_PERMISSION_PRINT    1
#define OAK_PDF_PERMISSION_COPYING  2
#define OAK_PDF_PERMISSION_MODIFY   4
#define OAK_PDF_PERMISSION_ALL      7

//SDK interface definitions
typedef long	(__stdcall *poakBegin)();
typedef void	(__stdcall *poakEnd)(long id);
typedef long	(__stdcall *poakExport)(long id); 
typedef long	(__stdcall *poakSetOption)(long id,long code,long nOptVal1,long nOptVal2,char *pOptVal1,char *pOptVal2);
typedef long	(__stdcall *poakGetOption)(long id,long code,long nOptVal1,long nOptVal2,char *pOptVal1,char *pOptVal2);

