unit oakexport;

interface
uses
  Windows;

type
//SDK interface definitions
//======================================================================================================
  FoakBegin = function():Longint; stdcall;
  FoakEnd = procedure(id: Longint); stdcall;
  FoakExport = function(id: Longint):Longint; stdcall;
  FoakSetOption = function(id: Longint;
                           code: Longint;
                           nOptVal1: Longint;
                           nOptVal2: Longint;
                           pOptVal1: PChar;
                           pOptVal2: PChar): Longint; stdcall;
  FoakGetOption = function(id: Longint;
                           code: Longint;
                           nOptVal1: Longint;
                           nOptVal2: Longint;
                           pOptVal1: PChar;
                           pOptVal2: PChar): Longint; stdcall;
//======================================================================================================

const
//Supported option definitions
//======================================================================================================
  OAK_Set_Input = 5301;
  OAK_Set_Output = 5302;
  OAK_Set_PDFInfo = 5307;
  OAK_Set_PDFEncrypt = 5308;
//======================================================================================================


//Supported pdf information
//======================================================================================================
  OAK_PDF_TITLE = 'title';
  OAK_PDF_SUBJECT = 'subject';
  OAK_PDF_AUTHOR = 'author';
  OAK_PDF_KEYWORDS = 'keywords';
  OAK_PDF_APPLICATION = 'creator';
//======================================================================================================


//Supported the length of pdf encrypt
//======================================================================================================
  OAK_PDF_ENCRYPT_LEVEL_40 = 40;
  OAK_PDF_ENCRYPT_LEVEL_128 = 128;
//======================================================================================================


//Supported operation limited
//======================================================================================================
  OAK_PDF_PERMISSION_NONE = 0;
  OAK_PDF_PERMISSION_PRINT = 1;
  OAK_PDF_PERMISSION_COPYING = 2;
  OAK_PDF_PERMISSION_MODIFY = 4;
  OAK_PDF_PERMISSION_ALL = 7;
//======================================================================================================

implementation

end.
